For the complete documentation index, see llms.txt. This page is also available as Markdown.

Document

Manage ERP documents, including creation, updates, state transitions, line items, validation, printing, locking, picking, shipments, and workflows.

the Document API

create a new document

post
Body
transitionIdstringRequired

transition id

targetTypeIdinteger · int64Optional

Ggf. die ID der Ziel-Belegart

Responses
200

OK

*/*
post/erp/documents
POST /erp/documents HTTP/1.1
Host: api.example.com
Content-Type: application/json
Accept: */*
Content-Length: 2222

{
  "transitionId": "text",
  "targetTypeId": 1,
  "parameters": [],
  "document": {
    "accountId": "text",
    "salesChannelId": "text",
    "externalId": "text",
    "externalNumber": "text",
    "billingType": "GROSS",
    "calculationMode": "HORIZONTAL",
    "documentDate": "2026-01-01",
    "performanceDate": "2026-01-01",
    "supplierAccountId": 1,
    "lines": [],
    "targetDocumentType": {
      "version": "text",
      "info": {},
      "id": "text",
      "labels": [],
      "category": "CUSTOMER_OFFER",
      "showForManualDocumentCreation": true,
      "defaultTypeOfCategory": false,
      "active": true,
      "shelfDocumentTypeRef": {
        "id": "text"
      },
      "sequencerConfiguration": {
        "version": "text",
        "info": {},
        "id": "text",
        "configurationDetail": {
          "type": "NON_POOLED_SEQUENCES",
          "assignmentMode": "MANUAL",
          "length": 1,
          "padChar": "text",
          "expression": "text",
          "postExpression": "text",
          "initialValue": 1,
          "numberUnique": true
        },
        "alternativeConfiguration": {
          "id": "text"
        },
        "active": true
      },
      "requiresBusinessRelationship": true,
      "publishingPolicy": "AUTOMATIC",
      "sortOrder": 1
    },
    "incomingGoodsPickTrolleyId": 1,
    "incomingGoodsStorageBinId": 1,
    "priceModifiers": [],
    "posRegisterId": 1,
    "cashDrawerId": 1,
    "depositPaymentAmount": 1,
    "contractDetail": {
      "version": "text",
      "info": {},
      "id": "text",
      "startDate": "2026-01-01",
      "endDate": "2026-01-01",
      "runtimeFromDate": "2026-01-01",
      "runtimeToDate": "2026-01-01",
      "lastCustomerCancellationDate": "2026-01-01",
      "lastProviderCancellationDate": "2026-01-01",
      "dueDateCalculation": "text",
      "dueDate": "2026-01-01",
      "nextDueDate": "2026-01-01",
      "calculateDirectly": true,
      "active": true,
      "publishInPortal": false
    },
    "posDetail": {
      "version": "text",
      "info": {},
      "id": "text",
      "posRegisterRef": {
        "id": "text"
      },
      "cashDrawerRef": {
        "id": "text"
      },
      "cashJournalRef": {
        "id": "text"
      },
      "fiscalizationBackendRef": {
        "id": "text"
      },
      "tssSignature": {},
      "timeStart": 1,
      "timeEnd": 1,
      "clientSerialNumber": "text",
      "tssSerialNumber": "text",
      "transactionNumber": 1,
      "revision": 1,
      "signatureCounter": 1,
      "signature": "text"
    },
    "posPayments": [],
    "texts": [],
    "custom": {
      "empty": true,
      "array": true,
      "null": true,
      "object": true,
      "float": true,
      "missingNode": true,
      "nodeType": "ARRAY",
      "valueNode": true,
      "container": true,
      "integralNumber": true,
      "floatingPointNumber": true,
      "string": true,
      "pojo": true,
      "short": true,
      "int": true,
      "long": true,
      "double": true,
      "bigDecimal": true,
      "bigInteger": true,
      "boolean": true,
      "binary": true,
      "number": true,
      "embeddedValue": true
    },
    "einvoice": true
  }
}
200

OK

{
  "document": {
    "version": "text",
    "info": {
      "createdAt": "2026-01-01T00:00:00.000Z",
      "createdFrom": "text",
      "updatedAt": "2026-01-01T00:00:00.000Z",
      "updatedFrom": "text"
    },
    "id": "text",
    "number": "text",
    "accountNumber": "text",
    "customerNumber": "text",
    "ourCustomerNumber": "text",
    "supplierNumber": "text",
    "salesAgentNumber": "text",
    "externalIdentifier": "text",
    "externalNumber": "text",
    "published": false,
    "frozen": false,
    "qualifier": "SALE",
    "accountId": "text",
    "billingAccountRef": {
      "id": "text",
      "label": "text",
      "description": "text",
      "active": true
    },
    "salesChannelRef": {
      "id": "text",
      "label": "text",
      "description": "text",
      "active": true
    },
    "documentDate": "2026-01-01",
    "performanceDate": "2026-01-01",
    "valueDate": "2026-01-01",
    "taxable": true,
    "taxIdentificationNumber": "text",
    "taxIdVerificationState": "NOT_YET_VERIFIED",
    "valitoolValidationState": "NOT_VALIDATED",
    "billingType": "GROSS",
    "documentType": "text",
    "documentTypeId": 1,
    "documentTypeCategory": "CUSTOMER_OFFER",
    "documentState": {
      "label": "text",
      "key": "text",
      "definition": "SELECTABLE_TYPES"
    },
    "cancellationReasonRef": {
      "id": "text",
      "label": "text",
      "description": "text"
    },
    "currencyCode": "text",
    "exchangeRate": 1,
    "exchangeRateOrigin": "AUTOMATIC",
    "responsibleUserRef": {
      "id": "text",
      "label": "text",
      "description": "text",
      "active": true
    },
    "totalBeforeModifier": 1,
    "totalPriceModifier": 1,
    "totalLinePriceModifier": 1,
    "totalDocumentPriceModifier": 1,
    "totalNetPrice": 1,
    "totalVat": 1,
    "totalGrossPrice": 1,
    "roundingAmount": 1,
    "paymentTermRef": {
      "id": "text",
      "label": "text",
      "description": "text",
      "active": true,
      "paymentType": "PREPAYMENT"
    },
    "paymentMethodRef": {
      "id": "text",
      "label": "text",
      "description": "text",
      "active": true
    },
    "depositPaymentAmount": 1,
    "depositPaymentDate": "2026-01-01",
    "deliveryTermRef": {
      "id": "text",
      "label": "text",
      "description": "text",
      "active": true
    },
    "deliveryMethodRef": {
      "id": "text",
      "label": "text",
      "description": "text",
      "active": true
    },
    "deliveryDate": "2026-01-01",
    "deliveryDateEnd": "2026-01-01",
    "confirmedDeliveryDate": "2026-01-01",
    "confirmedDeliveryDateEnd": "2026-01-01",
    "shippingDate": "2026-01-01",
    "deliveryQuantityPackages": 1,
    "deliveryText": "text",
    "deliveryApproved": true,
    "dropShippingInvoiceApproved": true,
    "orderedOn": "2026-01-01",
    "orderedByPersonRef": {
      "id": "text",
      "label": "text",
      "description": "text",
      "active": true
    },
    "orderedBy": "text",
    "taxLiabilityReversed": false,
    "collectiveInvoice": false,
    "texts": [],
    "lines": [],
    "shippingCosts": [],
    "posPayments": [],
    "shippingCostSum": 1,
    "priceModifiers": [],
    "taxes": [],
    "defaultAddress": {
      "version": "text",
      "info": {
        "createdAt": "2026-01-01T00:00:00.000Z",
        "createdFrom": "text",
        "updatedAt": "2026-01-01T00:00:00.000Z",
        "updatedFrom": "text"
      },
      "id": "text",
      "accountRef": {
        "id": "text",
        "label": "text",
        "description": "text",
        "active": true
      },
      "salutation": "text",
      "title": "text",
      "name1": "text",
      "name2": "text",
      "name3": "text",
      "globalLocationNumber": "text",
      "street": "text",
      "streetAddressNumber": "text",
      "additionalAddressLine1": "text",
      "additionalAddressLine2": "text",
      "city": "text",
      "regionRef": {
        "id": "text",
        "label": "text",
        "description": "text",
        "active": true
      },
      "postcode": "text",
      "postOfficeBox": "text",
      "countryCode": "text",
      "phoneContact": "text",
      "mailContact": "text",
      "languageCode": "text",
      "paymentTermRef": {
        "id": "text",
        "label": "text",
        "description": "text",
        "active": true
      },
      "paymentMethodRef": {
        "id": "text",
        "label": "text",
        "description": "text",
        "active": true
      },
      "deliveryTermRef": {
        "id": "text",
        "label": "text",
        "description": "text",
        "active": true
      },
      "deliveryMethodRef": {
        "id": "text",
        "label": "text",
        "description": "text",
        "active": true
      }
    },
    "billingAddress": {
      "version": "text",
      "info": {
        "createdAt": "2026-01-01T00:00:00.000Z",
        "createdFrom": "text",
        "updatedAt": "2026-01-01T00:00:00.000Z",
        "updatedFrom": "text"
      },
      "id": "text",
      "accountRef": {
        "id": "text",
        "label": "text",
        "description": "text",
        "active": true
      },
      "salutation": "text",
      "title": "text",
      "name1": "text",
      "name2": "text",
      "name3": "text",
      "globalLocationNumber": "text",
      "street": "text",
      "streetAddressNumber": "text",
      "additionalAddressLine1": "text",
      "additionalAddressLine2": "text",
      "city": "text",
      "regionRef": {
        "id": "text",
        "label": "text",
        "description": "text",
        "active": true
      },
      "postcode": "text",
      "postOfficeBox": "text",
      "countryCode": "text",
      "phoneContact": "text",
      "mailContact": "text",
      "languageCode": "text",
      "paymentTermRef": {
        "id": "text",
        "label": "text",
        "description": "text",
        "active": true
      },
      "paymentMethodRef": {
        "id": "text",
        "label": "text",
        "description": "text",
        "active": true
      },
      "deliveryTermRef": {
        "id": "text",
        "label": "text",
        "description": "text",
        "active": true
      },
      "deliveryMethodRef": {
        "id": "text",
        "label": "text",
        "description": "text",
        "active": true
      }
    },
    "deliveryAddress": {
      "version": "text",
      "info": {
        "createdAt": "2026-01-01T00:00:00.000Z",
        "createdFrom": "text",
        "updatedAt": "2026-01-01T00:00:00.000Z",
        "updatedFrom": "text"
      },
      "id": "text",
      "accountRef": {
        "id": "text",
        "label": "text",
        "description": "text",
        "active": true
      },
      "salutation": "text",
      "title": "text",
      "name1": "text",
      "name2": "text",
      "name3": "text",
      "globalLocationNumber": "text",
      "street": "text",
      "streetAddressNumber": "text",
      "additionalAddressLine1": "text",
      "additionalAddressLine2": "text",
      "city": "text",
      "regionRef": {
        "id": "text",
        "label": "text",
        "description": "text",
        "active": true
      },
      "postcode": "text",
      "postOfficeBox": "text",
      "countryCode": "text",
      "phoneContact": "text",
      "mailContact": "text",
      "languageCode": "text",
      "paymentTermRef": {
        "id": "text",
        "label": "text",
        "description": "text",
        "active": true
      },
      "paymentMethodRef": {
        "id": "text",
        "label": "text",
        "description": "text",
        "active": true
      },
      "deliveryTermRef": {
        "id": "text",
        "label": "text",
        "description": "text",
        "active": true
      },
      "deliveryMethodRef": {
        "id": "text",
        "label": "text",
        "description": "text",
        "active": true
      }
    },
    "returnDeliveryAddress": {
      "version": "text",
      "info": {
        "createdAt": "2026-01-01T00:00:00.000Z",
        "createdFrom": "text",
        "updatedAt": "2026-01-01T00:00:00.000Z",
        "updatedFrom": "text"
      },
      "id": "text",
      "accountRef": {
        "id": "text",
        "label": "text",
        "description": "text",
        "active": true
      },
      "salutation": "text",
      "title": "text",
      "name1": "text",
      "name2": "text",
      "name3": "text",
      "globalLocationNumber": "text",
      "street": "text",
      "streetAddressNumber": "text",
      "additionalAddressLine1": "text",
      "additionalAddressLine2": "text",
      "city": "text",
      "regionRef": {
        "id": "text",
        "label": "text",
        "description": "text",
        "active": true
      },
      "postcode": "text",
      "postOfficeBox": "text",
      "countryCode": "text",
      "phoneContact": "text",
      "mailContact": "text",
      "languageCode": "text",
      "paymentTermRef": {
        "id": "text",
        "label": "text",
        "description": "text",
        "active": true
      },
      "paymentMethodRef": {
        "id": "text",
        "label": "text",
        "description": "text",
        "active": true
      },
      "deliveryTermRef": {
        "id": "text",
        "label": "text",
        "description": "text",
        "active": true
      },
      "deliveryMethodRef": {
        "id": "text",
        "label": "text",
        "description": "text",
        "active": true
      }
    },
    "custom": {
      "empty": true,
      "array": true,
      "null": true,
      "object": true,
      "float": true,
      "missingNode": true,
      "nodeType": "ARRAY",
      "valueNode": true,
      "container": true,
      "integralNumber": true,
      "floatingPointNumber": true,
      "string": true,
      "pojo": true,
      "short": true,
      "int": true,
      "long": true,
      "double": true,
      "bigDecimal": true,
      "bigInteger": true,
      "boolean": true,
      "binary": true,
      "number": true,
      "embeddedValue": true
    },
    "stackProcessingType": "NO_PICKING",
    "stackProcessingPriority": 1,
    "maxDeliveries": 1,
    "taxPerformanceLocation": "DOMESTIC",
    "performanceCountryCode": "text",
    "sourceCountryCode": "text",
    "afterPickingTargetDocumentTypeRef": {
      "id": "text",
      "label": "text",
      "description": "text",
      "active": true
    },
    "grossWeight": 1,
    "grossWeightUnit": {
      "id": 1,
      "name": "text",
      "abbreviation": "text"
    },
    "userDefinedWeight": false,
    "tags": [],
    "reportGroupRef": {
      "id": "text",
      "label": "text",
      "description": "text",
      "active": true
    },
    "defaultStorageRef": {
      "id": "text",
      "label": "text",
      "description": "text",
      "active": true
    },
    "locationRef": {
      "id": "text",
      "label": "text",
      "description": "text",
      "active": true
    },
    "cashDiscountableTotalGrossPrice": 1,
    "contractDetail": {
      "version": "text",
      "info": {
        "createdAt": "2026-01-01T00:00:00.000Z",
        "createdFrom": "text",
        "updatedAt": "2026-01-01T00:00:00.000Z",
        "updatedFrom": "text"
      },
      "id": "text",
      "startDate": "2026-01-01",
      "endDate": "2026-01-01",
      "runtimeFromDate": "2026-01-01",
      "runtimeToDate": "2026-01-01",
      "lastCustomerCancellationDate": "2026-01-01",
      "lastProviderCancellationDate": "2026-01-01",
      "dueDateCalculation": "text",
      "dueDate": "2026-01-01",
      "nextDueDate": "2026-01-01",
      "calculateDirectly": true,
      "active": true,
      "publishInPortal": false
    },
    "posDetail": {
      "version": "text",
      "info": {
        "createdAt": "2026-01-01T00:00:00.000Z",
        "createdFrom": "text",
        "updatedAt": "2026-01-01T00:00:00.000Z",
        "updatedFrom": "text"
      },
      "id": "text",
      "posRegisterRef": {
        "id": "text",
        "label": "text",
        "description": "text",
        "active": true
      },
      "cashDrawerRef": {
        "id": "text",
        "label": "text",
        "description": "text",
        "active": true
      },
      "cashJournalRef": {
        "id": "text",
        "label": "text",
        "description": "text",
        "active": true
      },
      "fiscalizationBackendRef": {
        "id": "text",
        "label": "text",
        "description": "text",
        "active": true
      },
      "tssSignature": {
        "status": "FINISHED",
        "responseData": "text",
        "externalReference": "text",
        "revision": 1
      },
      "externalReference": "text",
      "timeStart": 1,
      "timeEnd": 1,
      "clientSerialNumber": "text",
      "tssSerialNumber": "text",
      "transactionNumber": 1,
      "revision": 1,
      "signatureCounter": 1,
      "signature": "text"
    },
    "fabricationDetail": {
      "version": "text",
      "info": {
        "createdAt": "2026-01-01T00:00:00.000Z",
        "createdFrom": "text",
        "updatedAt": "2026-01-01T00:00:00.000Z",
        "updatedFrom": "text"
      },
      "id": "text",
      "startDate": "2026-01-01",
      "minimumDegreeOfFulfillment": 1,
      "note": "text",
      "componentsStorageRef": {
        "id": "text",
        "label": "text",
        "description": "text",
        "active": true
      },
      "workbenchStorageRef": {
        "id": "text",
        "label": "text",
        "description": "text",
        "active": true
      },
      "workbenchStorageBinRef": {
        "id": "text",
        "label": "text",
        "description": "text",
        "active": true
      },
      "qualityAssuranceStorageRef": {
        "id": "text",
        "label": "text",
        "description": "text",
        "active": true
      },
      "qualityAssuranceStorageBinRef": {
        "id": "text",
        "label": "text",
        "description": "text",
        "active": true
      },
      "defectiveStorageRef": {
        "id": "text",
        "label": "text",
        "description": "text",
        "active": true
      },
      "defectiveStorageBinRef": {
        "id": "text",
        "label": "text",
        "description": "text",
        "active": true
      },
      "targetStorageRef": {
        "id": "text",
        "label": "text",
        "description": "text",
        "active": true
      },
      "targetStorageBinRef": {
        "id": "text",
        "label": "text",
        "description": "text",
        "active": true
      },
      "custom": {
        "empty": true,
        "array": true,
        "null": true,
        "object": true,
        "float": true,
        "missingNode": true,
        "nodeType": "ARRAY",
        "valueNode": true,
        "container": true,
        "integralNumber": true,
        "floatingPointNumber": true,
        "string": true,
        "pojo": true,
        "short": true,
        "int": true,
        "long": true,
        "double": true,
        "bigDecimal": true,
        "bigInteger": true,
        "boolean": true,
        "binary": true,
        "number": true,
        "embeddedValue": true
      }
    },
    "buyerReference": "text",
    "en16931Profile": "ZUGFERD",
    "importType": "NOT_IMPORTED",
    "paymentPlan": false,
    "calculationMode": "HORIZONTAL",
    "processedByWorkflow": true,
    "referencedOrderNumber": "text",
    "additionalInfo": {
      "calculationModeOrigin": "FROM_BILLING_ADDRESS",
      "roundingMode": "NONE",
      "en16931Origin": "FROM_BILLING_ADDRESS",
      "buyerReferenceOrigin": "FROM_BILLING_ADDRESS",
      "previousDecisions": "text",
      "taxSituationOrigin": "UNDEFINED",
      "languageCodeOrigin": "FROM_DELIVERY_ADDRESS",
      "contextParameters": [],
      "incomingGoodsTarget": {
        "storageBinId": 1,
        "pickTrolleyId": 1
      },
      "translations": [],
      "incomingGoodsTargetsPerLine": []
    },
    "languageCode": "text",
    "baseCurrencyCode": "text",
    "baseTotalNetPrice": 1,
    "baseTotalLinePriceModifier": 1,
    "baseTotalDocumentPriceModifier": 1,
    "baseTotalGrossPrice": 1,
    "baseDepositPaymentAmount": 1,
    "baseCashDiscountableTotalGrossPrice": 1,
    "forwardEmailToShipper": false,
    "forwardPhoneToShipper": false,
    "posReceiptPaymentSum": 1,
    "posReceiptBalance": 1,
    "posReceiptChangeAmount": 1,
    "posReceiptBalanced": false,
    "posReceiptPayed": false,
    "dropShipping": true,
    "totalGrossVolumeInCubicMeters": 1
  },
  "hints": {
    "details": []
  },
  "viewOptions": {
    "revenueCalculation": {
      "productPurchasePrice": 1,
      "salesValue": 1,
      "revenue": 1,
      "revenueInPercent": 1
    },
    "loanValue": {
      "accountId": 1,
      "maximalLoan": 1,
      "currentLoan": 1,
      "nonInvoicedDocumentLoan": 1,
      "receivableLoan": 1,
      "payablesSum": 1,
      "currentDocumentLoan": 1,
      "remainingLoan": 1,
      "exceededLoan": 1,
      "unconsideredAmount": 1
    },
    "considerForCreditLimit": true,
    "financeJournalAccountingInformation": {
      "accountingStatus": "PROCESSING",
      "financeBookingRunRef": {
        "id": "text",
        "label": "text",
        "description": "text",
        "active": true
      },
      "accountingStatusUpdatedDate": "2026-01-01T00:00:00.000Z",
      "runState": "PROCESSING"
    },
    "possiblePredecessorTypes": [
      "text"
    ],
    "sumAmountOfProgressInvoices": 1,
    "sumAmountOfDepositInvoices": 1,
    "sumAmountOfPartialInvoices": 1,
    "sumAmountOfDeliveryInvoices": 1,
    "depositInvoiceRef": {
      "id": "text",
      "label": "text",
      "description": "text",
      "active": true
    },
    "sumOpenAmountForProgressInvoices": 1,
    "totalAmountDependingFromBillingType": 1,
    "orderRefs": [],
    "picklistRef": {
      "id": "text",
      "label": "text",
      "description": "text",
      "active": true
    },
    "autoPrintPaperReceipt": true
  }
}

update an existing document

put
Body
Responses
200

OK

*/*
put/erp/documents
PUT /erp/documents HTTP/1.1
Host: api.example.com
Content-Type: application/json
Accept: */*
Content-Length: 6813

{
  "document": {
    "version": "text",
    "info": {},
    "id": "text",
    "number": "text",
    "externalIdentifier": "text",
    "externalNumber": "text",
    "accountId": "text",
    "billingAccountRef": {
      "id": "text"
    },
    "salesChannelRef": {
      "id": "text"
    },
    "documentDate": "2026-01-01",
    "performanceDate": "2026-01-01",
    "valueDate": "2026-01-01",
    "taxable": true,
    "taxIdentificationNumber": "text",
    "billingType": "GROSS",
    "documentState": {
      "label": "text",
      "key": "text",
      "definition": "SELECTABLE_TYPES"
    },
    "cancellationReasonRef": {
      "id": "text",
      "label": "text"
    },
    "currencyCode": "text",
    "exchangeRate": 1,
    "exchangeRateOrigin": "AUTOMATIC",
    "responsibleUserRef": {
      "id": "text"
    },
    "paymentTermRef": {
      "id": "text",
      "paymentType": "PREPAYMENT"
    },
    "paymentMethodRef": {
      "id": "text"
    },
    "depositPaymentAmount": 1,
    "deliveryTermRef": {
      "id": "text"
    },
    "deliveryMethodRef": {
      "id": "text"
    },
    "deliveryDate": "2026-01-01",
    "deliveryDateEnd": "2026-01-01",
    "confirmedDeliveryDate": "2026-01-01",
    "confirmedDeliveryDateEnd": "2026-01-01",
    "shippingDate": "2026-01-01",
    "deliveryQuantityPackages": 1,
    "deliveryText": "text",
    "deliveryApproved": true,
    "orderedOn": "2026-01-01",
    "orderedByPersonRef": {
      "id": "text"
    },
    "orderedBy": "text",
    "taxLiabilityReversed": false,
    "collectiveInvoice": false,
    "texts": [],
    "lines": [],
    "shippingCosts": [],
    "posPayments": [],
    "priceModifiers": [],
    "defaultAddress": {
      "version": "text",
      "info": {},
      "id": "text",
      "accountRef": {
        "id": "text"
      },
      "salutation": "text",
      "title": "text",
      "name1": "text",
      "name2": "text",
      "name3": "text",
      "globalLocationNumber": "text",
      "street": "text",
      "streetAddressNumber": "text",
      "additionalAddressLine1": "text",
      "additionalAddressLine2": "text",
      "city": "text",
      "regionRef": {
        "id": "text"
      },
      "postcode": "text",
      "postOfficeBox": "text",
      "countryCode": "text",
      "phoneContact": "text",
      "mailContact": "text",
      "languageCode": "text",
      "paymentTermRef": {
        "id": "text"
      },
      "paymentMethodRef": {
        "id": "text"
      },
      "deliveryTermRef": {
        "id": "text"
      },
      "deliveryMethodRef": {
        "id": "text"
      }
    },
    "billingAddress": {
      "version": "text",
      "info": {},
      "id": "text",
      "accountRef": {
        "id": "text"
      },
      "salutation": "text",
      "title": "text",
      "name1": "text",
      "name2": "text",
      "name3": "text",
      "globalLocationNumber": "text",
      "street": "text",
      "streetAddressNumber": "text",
      "additionalAddressLine1": "text",
      "additionalAddressLine2": "text",
      "city": "text",
      "regionRef": {
        "id": "text"
      },
      "postcode": "text",
      "postOfficeBox": "text",
      "countryCode": "text",
      "phoneContact": "text",
      "mailContact": "text",
      "languageCode": "text",
      "paymentTermRef": {
        "id": "text"
      },
      "paymentMethodRef": {
        "id": "text"
      },
      "deliveryTermRef": {
        "id": "text"
      },
      "deliveryMethodRef": {
        "id": "text"
      }
    },
    "deliveryAddress": {
      "version": "text",
      "info": {},
      "id": "text",
      "accountRef": {
        "id": "text"
      },
      "salutation": "text",
      "title": "text",
      "name1": "text",
      "name2": "text",
      "name3": "text",
      "globalLocationNumber": "text",
      "street": "text",
      "streetAddressNumber": "text",
      "additionalAddressLine1": "text",
      "additionalAddressLine2": "text",
      "city": "text",
      "regionRef": {
        "id": "text"
      },
      "postcode": "text",
      "postOfficeBox": "text",
      "countryCode": "text",
      "phoneContact": "text",
      "mailContact": "text",
      "languageCode": "text",
      "paymentTermRef": {
        "id": "text"
      },
      "paymentMethodRef": {
        "id": "text"
      },
      "deliveryTermRef": {
        "id": "text"
      },
      "deliveryMethodRef": {
        "id": "text"
      }
    },
    "returnDeliveryAddress": {
      "version": "text",
      "info": {},
      "id": "text",
      "accountRef": {
        "id": "text"
      },
      "salutation": "text",
      "title": "text",
      "name1": "text",
      "name2": "text",
      "name3": "text",
      "globalLocationNumber": "text",
      "street": "text",
      "streetAddressNumber": "text",
      "additionalAddressLine1": "text",
      "additionalAddressLine2": "text",
      "city": "text",
      "regionRef": {
        "id": "text"
      },
      "postcode": "text",
      "postOfficeBox": "text",
      "countryCode": "text",
      "phoneContact": "text",
      "mailContact": "text",
      "languageCode": "text",
      "paymentTermRef": {
        "id": "text"
      },
      "paymentMethodRef": {
        "id": "text"
      },
      "deliveryTermRef": {
        "id": "text"
      },
      "deliveryMethodRef": {
        "id": "text"
      }
    },
    "custom": {
      "empty": true,
      "array": true,
      "null": true,
      "object": true,
      "float": true,
      "missingNode": true,
      "nodeType": "ARRAY",
      "valueNode": true,
      "container": true,
      "integralNumber": true,
      "floatingPointNumber": true,
      "string": true,
      "pojo": true,
      "short": true,
      "int": true,
      "long": true,
      "double": true,
      "bigDecimal": true,
      "bigInteger": true,
      "boolean": true,
      "binary": true,
      "number": true,
      "embeddedValue": true
    },
    "stackProcessingType": "NO_PICKING",
    "stackProcessingPriority": 1,
    "maxDeliveries": 1,
    "taxPerformanceLocation": "DOMESTIC",
    "performanceCountryCode": "text",
    "sourceCountryCode": "text",
    "afterPickingTargetDocumentTypeRef": {
      "id": "text"
    },
    "grossWeight": 1,
    "grossWeightUnit": {
      "id": 1,
      "name": "text",
      "abbreviation": "text"
    },
    "userDefinedWeight": false,
    "tags": [],
    "reportGroupRef": {
      "id": "text"
    },
    "defaultStorageRef": {
      "id": "text"
    },
    "locationRef": {
      "id": "text"
    },
    "contractDetail": {
      "version": "text",
      "info": {},
      "id": "text",
      "startDate": "2026-01-01",
      "endDate": "2026-01-01",
      "runtimeFromDate": "2026-01-01",
      "runtimeToDate": "2026-01-01",
      "lastCustomerCancellationDate": "2026-01-01",
      "lastProviderCancellationDate": "2026-01-01",
      "dueDateCalculation": "text",
      "dueDate": "2026-01-01",
      "nextDueDate": "2026-01-01",
      "calculateDirectly": true,
      "active": true,
      "publishInPortal": false
    },
    "posDetail": {
      "version": "text",
      "info": {},
      "id": "text",
      "posRegisterRef": {
        "id": "text"
      },
      "cashDrawerRef": {
        "id": "text"
      },
      "cashJournalRef": {
        "id": "text"
      },
      "fiscalizationBackendRef": {
        "id": "text"
      },
      "tssSignature": {},
      "timeStart": 1,
      "timeEnd": 1,
      "clientSerialNumber": "text",
      "tssSerialNumber": "text",
      "transactionNumber": 1,
      "revision": 1,
      "signatureCounter": 1,
      "signature": "text"
    },
    "fabricationDetail": {
      "version": "text",
      "info": {},
      "id": "text",
      "startDate": "2026-01-01",
      "minimumDegreeOfFulfillment": 1,
      "note": "text",
      "componentsStorageRef": {
        "id": "text"
      },
      "workbenchStorageRef": {
        "id": "text"
      },
      "workbenchStorageBinRef": {
        "id": "text"
      },
      "qualityAssuranceStorageRef": {
        "id": "text"
      },
      "qualityAssuranceStorageBinRef": {
        "id": "text"
      },
      "defectiveStorageRef": {
        "id": "text"
      },
      "defectiveStorageBinRef": {
        "id": "text"
      },
      "targetStorageRef": {
        "id": "text"
      },
      "targetStorageBinRef": {
        "id": "text"
      },
      "custom": {
        "empty": true,
        "array": true,
        "null": true,
        "object": true,
        "float": true,
        "missingNode": true,
        "nodeType": "ARRAY",
        "valueNode": true,
        "container": true,
        "integralNumber": true,
        "floatingPointNumber": true,
        "string": true,
        "pojo": true,
        "short": true,
        "int": true,
        "long": true,
        "double": true,
        "bigDecimal": true,
        "bigInteger": true,
        "boolean": true,
        "binary": true,
        "number": true,
        "embeddedValue": true
      }
    },
    "buyerReference": "text",
    "en16931Profile": "ZUGFERD",
    "paymentPlan": false,
    "calculationMode": "HORIZONTAL",
    "additionalInfo": {
      "taxSituationOrigin": "UNDEFINED",
      "languageCodeOrigin": "FROM_DELIVERY_ADDRESS",
      "contextParameters": [],
      "incomingGoodsTarget": {
        "storageBinId": 1,
        "pickTrolleyId": 1
      },
      "translations": [],
      "incomingGoodsTargetsPerLine": []
    },
    "languageCode": "text",
    "baseCurrencyCode": "text",
    "baseTotalNetPrice": 1,
    "baseTotalLinePriceModifier": 1,
    "baseTotalDocumentPriceModifier": 1,
    "baseTotalGrossPrice": 1,
    "baseDepositPaymentAmount": 1,
    "baseCashDiscountableTotalGrossPrice": 1,
    "forwardEmailToShipper": false,
    "forwardPhoneToShipper": false,
    "posReceiptPaymentSum": 1,
    "posReceiptBalance": 1,
    "posReceiptChangeAmount": 1,
    "posReceiptBalanced": false,
    "posReceiptPayed": false
  },
  "parameters": []
}
200

OK

{
  "document": {
    "version": "text",
    "info": {
      "createdAt": "2026-01-01T00:00:00.000Z",
      "createdFrom": "text",
      "updatedAt": "2026-01-01T00:00:00.000Z",
      "updatedFrom": "text"
    },
    "id": "text",
    "number": "text",
    "accountNumber": "text",
    "customerNumber": "text",
    "ourCustomerNumber": "text",
    "supplierNumber": "text",
    "salesAgentNumber": "text",
    "externalIdentifier": "text",
    "externalNumber": "text",
    "published": false,
    "frozen": false,
    "qualifier": "SALE",
    "accountId": "text",
    "billingAccountRef": {
      "id": "text",
      "label": "text",
      "description": "text",
      "active": true
    },
    "salesChannelRef": {
      "id": "text",
      "label": "text",
      "description": "text",
      "active": true
    },
    "documentDate": "2026-01-01",
    "performanceDate": "2026-01-01",
    "valueDate": "2026-01-01",
    "taxable": true,
    "taxIdentificationNumber": "text",
    "taxIdVerificationState": "NOT_YET_VERIFIED",
    "valitoolValidationState": "NOT_VALIDATED",
    "billingType": "GROSS",
    "documentType": "text",
    "documentTypeId": 1,
    "documentTypeCategory": "CUSTOMER_OFFER",
    "documentState": {
      "label": "text",
      "key": "text",
      "definition": "SELECTABLE_TYPES"
    },
    "cancellationReasonRef": {
      "id": "text",
      "label": "text",
      "description": "text"
    },
    "currencyCode": "text",
    "exchangeRate": 1,
    "exchangeRateOrigin": "AUTOMATIC",
    "responsibleUserRef": {
      "id": "text",
      "label": "text",
      "description": "text",
      "active": true
    },
    "totalBeforeModifier": 1,
    "totalPriceModifier": 1,
    "totalLinePriceModifier": 1,
    "totalDocumentPriceModifier": 1,
    "totalNetPrice": 1,
    "totalVat": 1,
    "totalGrossPrice": 1,
    "roundingAmount": 1,
    "paymentTermRef": {
      "id": "text",
      "label": "text",
      "description": "text",
      "active": true,
      "paymentType": "PREPAYMENT"
    },
    "paymentMethodRef": {
      "id": "text",
      "label": "text",
      "description": "text",
      "active": true
    },
    "depositPaymentAmount": 1,
    "depositPaymentDate": "2026-01-01",
    "deliveryTermRef": {
      "id": "text",
      "label": "text",
      "description": "text",
      "active": true
    },
    "deliveryMethodRef": {
      "id": "text",
      "label": "text",
      "description": "text",
      "active": true
    },
    "deliveryDate": "2026-01-01",
    "deliveryDateEnd": "2026-01-01",
    "confirmedDeliveryDate": "2026-01-01",
    "confirmedDeliveryDateEnd": "2026-01-01",
    "shippingDate": "2026-01-01",
    "deliveryQuantityPackages": 1,
    "deliveryText": "text",
    "deliveryApproved": true,
    "dropShippingInvoiceApproved": true,
    "orderedOn": "2026-01-01",
    "orderedByPersonRef": {
      "id": "text",
      "label": "text",
      "description": "text",
      "active": true
    },
    "orderedBy": "text",
    "taxLiabilityReversed": false,
    "collectiveInvoice": false,
    "texts": [],
    "lines": [],
    "shippingCosts": [],
    "posPayments": [],
    "shippingCostSum": 1,
    "priceModifiers": [],
    "taxes": [],
    "defaultAddress": {
      "version": "text",
      "info": {
        "createdAt": "2026-01-01T00:00:00.000Z",
        "createdFrom": "text",
        "updatedAt": "2026-01-01T00:00:00.000Z",
        "updatedFrom": "text"
      },
      "id": "text",
      "accountRef": {
        "id": "text",
        "label": "text",
        "description": "text",
        "active": true
      },
      "salutation": "text",
      "title": "text",
      "name1": "text",
      "name2": "text",
      "name3": "text",
      "globalLocationNumber": "text",
      "street": "text",
      "streetAddressNumber": "text",
      "additionalAddressLine1": "text",
      "additionalAddressLine2": "text",
      "city": "text",
      "regionRef": {
        "id": "text",
        "label": "text",
        "description": "text",
        "active": true
      },
      "postcode": "text",
      "postOfficeBox": "text",
      "countryCode": "text",
      "phoneContact": "text",
      "mailContact": "text",
      "languageCode": "text",
      "paymentTermRef": {
        "id": "text",
        "label": "text",
        "description": "text",
        "active": true
      },
      "paymentMethodRef": {
        "id": "text",
        "label": "text",
        "description": "text",
        "active": true
      },
      "deliveryTermRef": {
        "id": "text",
        "label": "text",
        "description": "text",
        "active": true
      },
      "deliveryMethodRef": {
        "id": "text",
        "label": "text",
        "description": "text",
        "active": true
      }
    },
    "billingAddress": {
      "version": "text",
      "info": {
        "createdAt": "2026-01-01T00:00:00.000Z",
        "createdFrom": "text",
        "updatedAt": "2026-01-01T00:00:00.000Z",
        "updatedFrom": "text"
      },
      "id": "text",
      "accountRef": {
        "id": "text",
        "label": "text",
        "description": "text",
        "active": true
      },
      "salutation": "text",
      "title": "text",
      "name1": "text",
      "name2": "text",
      "name3": "text",
      "globalLocationNumber": "text",
      "street": "text",
      "streetAddressNumber": "text",
      "additionalAddressLine1": "text",
      "additionalAddressLine2": "text",
      "city": "text",
      "regionRef": {
        "id": "text",
        "label": "text",
        "description": "text",
        "active": true
      },
      "postcode": "text",
      "postOfficeBox": "text",
      "countryCode": "text",
      "phoneContact": "text",
      "mailContact": "text",
      "languageCode": "text",
      "paymentTermRef": {
        "id": "text",
        "label": "text",
        "description": "text",
        "active": true
      },
      "paymentMethodRef": {
        "id": "text",
        "label": "text",
        "description": "text",
        "active": true
      },
      "deliveryTermRef": {
        "id": "text",
        "label": "text",
        "description": "text",
        "active": true
      },
      "deliveryMethodRef": {
        "id": "text",
        "label": "text",
        "description": "text",
        "active": true
      }
    },
    "deliveryAddress": {
      "version": "text",
      "info": {
        "createdAt": "2026-01-01T00:00:00.000Z",
        "createdFrom": "text",
        "updatedAt": "2026-01-01T00:00:00.000Z",
        "updatedFrom": "text"
      },
      "id": "text",
      "accountRef": {
        "id": "text",
        "label": "text",
        "description": "text",
        "active": true
      },
      "salutation": "text",
      "title": "text",
      "name1": "text",
      "name2": "text",
      "name3": "text",
      "globalLocationNumber": "text",
      "street": "text",
      "streetAddressNumber": "text",
      "additionalAddressLine1": "text",
      "additionalAddressLine2": "text",
      "city": "text",
      "regionRef": {
        "id": "text",
        "label": "text",
        "description": "text",
        "active": true
      },
      "postcode": "text",
      "postOfficeBox": "text",
      "countryCode": "text",
      "phoneContact": "text",
      "mailContact": "text",
      "languageCode": "text",
      "paymentTermRef": {
        "id": "text",
        "label": "text",
        "description": "text",
        "active": true
      },
      "paymentMethodRef": {
        "id": "text",
        "label": "text",
        "description": "text",
        "active": true
      },
      "deliveryTermRef": {
        "id": "text",
        "label": "text",
        "description": "text",
        "active": true
      },
      "deliveryMethodRef": {
        "id": "text",
        "label": "text",
        "description": "text",
        "active": true
      }
    },
    "returnDeliveryAddress": {
      "version": "text",
      "info": {
        "createdAt": "2026-01-01T00:00:00.000Z",
        "createdFrom": "text",
        "updatedAt": "2026-01-01T00:00:00.000Z",
        "updatedFrom": "text"
      },
      "id": "text",
      "accountRef": {
        "id": "text",
        "label": "text",
        "description": "text",
        "active": true
      },
      "salutation": "text",
      "title": "text",
      "name1": "text",
      "name2": "text",
      "name3": "text",
      "globalLocationNumber": "text",
      "street": "text",
      "streetAddressNumber": "text",
      "additionalAddressLine1": "text",
      "additionalAddressLine2": "text",
      "city": "text",
      "regionRef": {
        "id": "text",
        "label": "text",
        "description": "text",
        "active": true
      },
      "postcode": "text",
      "postOfficeBox": "text",
      "countryCode": "text",
      "phoneContact": "text",
      "mailContact": "text",
      "languageCode": "text",
      "paymentTermRef": {
        "id": "text",
        "label": "text",
        "description": "text",
        "active": true
      },
      "paymentMethodRef": {
        "id": "text",
        "label": "text",
        "description": "text",
        "active": true
      },
      "deliveryTermRef": {
        "id": "text",
        "label": "text",
        "description": "text",
        "active": true
      },
      "deliveryMethodRef": {
        "id": "text",
        "label": "text",
        "description": "text",
        "active": true
      }
    },
    "custom": {
      "empty": true,
      "array": true,
      "null": true,
      "object": true,
      "float": true,
      "missingNode": true,
      "nodeType": "ARRAY",
      "valueNode": true,
      "container": true,
      "integralNumber": true,
      "floatingPointNumber": true,
      "string": true,
      "pojo": true,
      "short": true,
      "int": true,
      "long": true,
      "double": true,
      "bigDecimal": true,
      "bigInteger": true,
      "boolean": true,
      "binary": true,
      "number": true,
      "embeddedValue": true
    },
    "stackProcessingType": "NO_PICKING",
    "stackProcessingPriority": 1,
    "maxDeliveries": 1,
    "taxPerformanceLocation": "DOMESTIC",
    "performanceCountryCode": "text",
    "sourceCountryCode": "text",
    "afterPickingTargetDocumentTypeRef": {
      "id": "text",
      "label": "text",
      "description": "text",
      "active": true
    },
    "grossWeight": 1,
    "grossWeightUnit": {
      "id": 1,
      "name": "text",
      "abbreviation": "text"
    },
    "userDefinedWeight": false,
    "tags": [],
    "reportGroupRef": {
      "id": "text",
      "label": "text",
      "description": "text",
      "active": true
    },
    "defaultStorageRef": {
      "id": "text",
      "label": "text",
      "description": "text",
      "active": true
    },
    "locationRef": {
      "id": "text",
      "label": "text",
      "description": "text",
      "active": true
    },
    "cashDiscountableTotalGrossPrice": 1,
    "contractDetail": {
      "version": "text",
      "info": {
        "createdAt": "2026-01-01T00:00:00.000Z",
        "createdFrom": "text",
        "updatedAt": "2026-01-01T00:00:00.000Z",
        "updatedFrom": "text"
      },
      "id": "text",
      "startDate": "2026-01-01",
      "endDate": "2026-01-01",
      "runtimeFromDate": "2026-01-01",
      "runtimeToDate": "2026-01-01",
      "lastCustomerCancellationDate": "2026-01-01",
      "lastProviderCancellationDate": "2026-01-01",
      "dueDateCalculation": "text",
      "dueDate": "2026-01-01",
      "nextDueDate": "2026-01-01",
      "calculateDirectly": true,
      "active": true,
      "publishInPortal": false
    },
    "posDetail": {
      "version": "text",
      "info": {
        "createdAt": "2026-01-01T00:00:00.000Z",
        "createdFrom": "text",
        "updatedAt": "2026-01-01T00:00:00.000Z",
        "updatedFrom": "text"
      },
      "id": "text",
      "posRegisterRef": {
        "id": "text",
        "label": "text",
        "description": "text",
        "active": true
      },
      "cashDrawerRef": {
        "id": "text",
        "label": "text",
        "description": "text",
        "active": true
      },
      "cashJournalRef": {
        "id": "text",
        "label": "text",
        "description": "text",
        "active": true
      },
      "fiscalizationBackendRef": {
        "id": "text",
        "label": "text",
        "description": "text",
        "active": true
      },
      "tssSignature": {
        "status": "FINISHED",
        "responseData": "text",
        "externalReference": "text",
        "revision": 1
      },
      "externalReference": "text",
      "timeStart": 1,
      "timeEnd": 1,
      "clientSerialNumber": "text",
      "tssSerialNumber": "text",
      "transactionNumber": 1,
      "revision": 1,
      "signatureCounter": 1,
      "signature": "text"
    },
    "fabricationDetail": {
      "version": "text",
      "info": {
        "createdAt": "2026-01-01T00:00:00.000Z",
        "createdFrom": "text",
        "updatedAt": "2026-01-01T00:00:00.000Z",
        "updatedFrom": "text"
      },
      "id": "text",
      "startDate": "2026-01-01",
      "minimumDegreeOfFulfillment": 1,
      "note": "text",
      "componentsStorageRef": {
        "id": "text",
        "label": "text",
        "description": "text",
        "active": true
      },
      "workbenchStorageRef": {
        "id": "text",
        "label": "text",
        "description": "text",
        "active": true
      },
      "workbenchStorageBinRef": {
        "id": "text",
        "label": "text",
        "description": "text",
        "active": true
      },
      "qualityAssuranceStorageRef": {
        "id": "text",
        "label": "text",
        "description": "text",
        "active": true
      },
      "qualityAssuranceStorageBinRef": {
        "id": "text",
        "label": "text",
        "description": "text",
        "active": true
      },
      "defectiveStorageRef": {
        "id": "text",
        "label": "text",
        "description": "text",
        "active": true
      },
      "defectiveStorageBinRef": {
        "id": "text",
        "label": "text",
        "description": "text",
        "active": true
      },
      "targetStorageRef": {
        "id": "text",
        "label": "text",
        "description": "text",
        "active": true
      },
      "targetStorageBinRef": {
        "id": "text",
        "label": "text",
        "description": "text",
        "active": true
      },
      "custom": {
        "empty": true,
        "array": true,
        "null": true,
        "object": true,
        "float": true,
        "missingNode": true,
        "nodeType": "ARRAY",
        "valueNode": true,
        "container": true,
        "integralNumber": true,
        "floatingPointNumber": true,
        "string": true,
        "pojo": true,
        "short": true,
        "int": true,
        "long": true,
        "double": true,
        "bigDecimal": true,
        "bigInteger": true,
        "boolean": true,
        "binary": true,
        "number": true,
        "embeddedValue": true
      }
    },
    "buyerReference": "text",
    "en16931Profile": "ZUGFERD",
    "importType": "NOT_IMPORTED",
    "paymentPlan": false,
    "calculationMode": "HORIZONTAL",
    "processedByWorkflow": true,
    "referencedOrderNumber": "text",
    "additionalInfo": {
      "calculationModeOrigin": "FROM_BILLING_ADDRESS",
      "roundingMode": "NONE",
      "en16931Origin": "FROM_BILLING_ADDRESS",
      "buyerReferenceOrigin": "FROM_BILLING_ADDRESS",
      "previousDecisions": "text",
      "taxSituationOrigin": "UNDEFINED",
      "languageCodeOrigin": "FROM_DELIVERY_ADDRESS",
      "contextParameters": [],
      "incomingGoodsTarget": {
        "storageBinId": 1,
        "pickTrolleyId": 1
      },
      "translations": [],
      "incomingGoodsTargetsPerLine": []
    },
    "languageCode": "text",
    "baseCurrencyCode": "text",
    "baseTotalNetPrice": 1,
    "baseTotalLinePriceModifier": 1,
    "baseTotalDocumentPriceModifier": 1,
    "baseTotalGrossPrice": 1,
    "baseDepositPaymentAmount": 1,
    "baseCashDiscountableTotalGrossPrice": 1,
    "forwardEmailToShipper": false,
    "forwardPhoneToShipper": false,
    "posReceiptPaymentSum": 1,
    "posReceiptBalance": 1,
    "posReceiptChangeAmount": 1,
    "posReceiptBalanced": false,
    "posReceiptPayed": false,
    "dropShipping": true,
    "totalGrossVolumeInCubicMeters": 1
  },
  "hints": {
    "details": []
  },
  "viewOptions": {
    "revenueCalculation": {
      "productPurchasePrice": 1,
      "salesValue": 1,
      "revenue": 1,
      "revenueInPercent": 1
    },
    "loanValue": {
      "accountId": 1,
      "maximalLoan": 1,
      "currentLoan": 1,
      "nonInvoicedDocumentLoan": 1,
      "receivableLoan": 1,
      "payablesSum": 1,
      "currentDocumentLoan": 1,
      "remainingLoan": 1,
      "exceededLoan": 1,
      "unconsideredAmount": 1
    },
    "considerForCreditLimit": true,
    "financeJournalAccountingInformation": {
      "accountingStatus": "PROCESSING",
      "financeBookingRunRef": {
        "id": "text",
        "label": "text",
        "description": "text",
        "active": true
      },
      "accountingStatusUpdatedDate": "2026-01-01T00:00:00.000Z",
      "runState": "PROCESSING"
    },
    "possiblePredecessorTypes": [
      "text"
    ],
    "sumAmountOfProgressInvoices": 1,
    "sumAmountOfDepositInvoices": 1,
    "sumAmountOfPartialInvoices": 1,
    "sumAmountOfDeliveryInvoices": 1,
    "depositInvoiceRef": {
      "id": "text",
      "label": "text",
      "description": "text",
      "active": true
    },
    "sumOpenAmountForProgressInvoices": 1,
    "totalAmountDependingFromBillingType": 1,
    "orderRefs": [],
    "picklistRef": {
      "id": "text",
      "label": "text",
      "description": "text",
      "active": true
    },
    "autoPrintPaperReceipt": true
  }
}

return all possible states, the document can transferred into

get
Path parameters
idinteger · int64Required

document identifier

Query parameters
languageCodestringRequired
Responses
200

OK

*/*
idstringRequired

das gleiche wie transition id für das UI

transitionIdstringRequired

transition id

transitionLabelstringRead-onlyOptional

label of this transition

stateDefinitionstringRead-onlyOptional

state definition of the target state

typeCategorystring · enumRead-onlyOptional

Dokumenttypen

Possible values:
typeIdstringRead-onlyOptional

document-type-id des ziels

typeKeystringRead-onlyOptional

document-type-key des ziels

typeLabelstringRead-onlyOptional

type-label

isDefaultTypeForCategorybooleanRead-onlyOptional

document-type ist Default für die Kategorie

targetStatestringRead-onlyOptional

Der Ziel-Status der Transition

sortOrderinteger · int32Read-onlyOptional

Sortier-Reihenfolge

get/erp/documents/{id}/states
GET /erp/documents/{id}/states?languageCode=text HTTP/1.1
Host: api.example.com
Accept: */*
200

OK

[]

transfer the document into the given state

put
Path parameters
idinteger · int64Required

document identifier

Body
transitionIdstringRequired

transition id

Responses
200

OK

*/*
put/erp/documents/{id}/states
PUT /erp/documents/{id}/states HTTP/1.1
Host: api.example.com
Content-Type: application/json
Accept: */*
Content-Length: 2205

{
  "transitionId": "text",
  "parameters": [],
  "document": {
    "accountId": "text",
    "salesChannelId": "text",
    "externalId": "text",
    "externalNumber": "text",
    "billingType": "GROSS",
    "calculationMode": "HORIZONTAL",
    "documentDate": "2026-01-01",
    "performanceDate": "2026-01-01",
    "supplierAccountId": 1,
    "lines": [],
    "targetDocumentType": {
      "version": "text",
      "info": {},
      "id": "text",
      "labels": [],
      "category": "CUSTOMER_OFFER",
      "showForManualDocumentCreation": true,
      "defaultTypeOfCategory": false,
      "active": true,
      "shelfDocumentTypeRef": {
        "id": "text"
      },
      "sequencerConfiguration": {
        "version": "text",
        "info": {},
        "id": "text",
        "configurationDetail": {
          "type": "NON_POOLED_SEQUENCES",
          "assignmentMode": "MANUAL",
          "length": 1,
          "padChar": "text",
          "expression": "text",
          "postExpression": "text",
          "initialValue": 1,
          "numberUnique": true
        },
        "alternativeConfiguration": {
          "id": "text"
        },
        "active": true
      },
      "requiresBusinessRelationship": true,
      "publishingPolicy": "AUTOMATIC",
      "sortOrder": 1
    },
    "incomingGoodsPickTrolleyId": 1,
    "incomingGoodsStorageBinId": 1,
    "priceModifiers": [],
    "posRegisterId": 1,
    "cashDrawerId": 1,
    "depositPaymentAmount": 1,
    "contractDetail": {
      "version": "text",
      "info": {},
      "id": "text",
      "startDate": "2026-01-01",
      "endDate": "2026-01-01",
      "runtimeFromDate": "2026-01-01",
      "runtimeToDate": "2026-01-01",
      "lastCustomerCancellationDate": "2026-01-01",
      "lastProviderCancellationDate": "2026-01-01",
      "dueDateCalculation": "text",
      "dueDate": "2026-01-01",
      "nextDueDate": "2026-01-01",
      "calculateDirectly": true,
      "active": true,
      "publishInPortal": false
    },
    "posDetail": {
      "version": "text",
      "info": {},
      "id": "text",
      "posRegisterRef": {
        "id": "text"
      },
      "cashDrawerRef": {
        "id": "text"
      },
      "cashJournalRef": {
        "id": "text"
      },
      "fiscalizationBackendRef": {
        "id": "text"
      },
      "tssSignature": {},
      "timeStart": 1,
      "timeEnd": 1,
      "clientSerialNumber": "text",
      "tssSerialNumber": "text",
      "transactionNumber": 1,
      "revision": 1,
      "signatureCounter": 1,
      "signature": "text"
    },
    "posPayments": [],
    "texts": [],
    "custom": {
      "empty": true,
      "array": true,
      "null": true,
      "object": true,
      "float": true,
      "missingNode": true,
      "nodeType": "ARRAY",
      "valueNode": true,
      "container": true,
      "integralNumber": true,
      "floatingPointNumber": true,
      "string": true,
      "pojo": true,
      "short": true,
      "int": true,
      "long": true,
      "double": true,
      "bigDecimal": true,
      "bigInteger": true,
      "boolean": true,
      "binary": true,
      "number": true,
      "embeddedValue": true
    },
    "einvoice": true
  }
}
200

OK

{
  "document": {
    "version": "text",
    "info": {
      "createdAt": "2026-01-01T00:00:00.000Z",
      "createdFrom": "text",
      "updatedAt": "2026-01-01T00:00:00.000Z",
      "updatedFrom": "text"
    },
    "id": "text",
    "number": "text",
    "accountNumber": "text",
    "customerNumber": "text",
    "ourCustomerNumber": "text",
    "supplierNumber": "text",
    "salesAgentNumber": "text",
    "externalIdentifier": "text",
    "externalNumber": "text",
    "published": false,
    "frozen": false,
    "qualifier": "SALE",
    "accountId": "text",
    "billingAccountRef": {
      "id": "text",
      "label": "text",
      "description": "text",
      "active": true
    },
    "salesChannelRef": {
      "id": "text",
      "label": "text",
      "description": "text",
      "active": true
    },
    "documentDate": "2026-01-01",
    "performanceDate": "2026-01-01",
    "valueDate": "2026-01-01",
    "taxable": true,
    "taxIdentificationNumber": "text",
    "taxIdVerificationState": "NOT_YET_VERIFIED",
    "valitoolValidationState": "NOT_VALIDATED",
    "billingType": "GROSS",
    "documentType": "text",
    "documentTypeId": 1,
    "documentTypeCategory": "CUSTOMER_OFFER",
    "documentState": {
      "label": "text",
      "key": "text",
      "definition": "SELECTABLE_TYPES"
    },
    "cancellationReasonRef": {
      "id": "text",
      "label": "text",
      "description": "text"
    },
    "currencyCode": "text",
    "exchangeRate": 1,
    "exchangeRateOrigin": "AUTOMATIC",
    "responsibleUserRef": {
      "id": "text",
      "label": "text",
      "description": "text",
      "active": true
    },
    "totalBeforeModifier": 1,
    "totalPriceModifier": 1,
    "totalLinePriceModifier": 1,
    "totalDocumentPriceModifier": 1,
    "totalNetPrice": 1,
    "totalVat": 1,
    "totalGrossPrice": 1,
    "roundingAmount": 1,
    "paymentTermRef": {
      "id": "text",
      "label": "text",
      "description": "text",
      "active": true,
      "paymentType": "PREPAYMENT"
    },
    "paymentMethodRef": {
      "id": "text",
      "label": "text",
      "description": "text",
      "active": true
    },
    "depositPaymentAmount": 1,
    "depositPaymentDate": "2026-01-01",
    "deliveryTermRef": {
      "id": "text",
      "label": "text",
      "description": "text",
      "active": true
    },
    "deliveryMethodRef": {
      "id": "text",
      "label": "text",
      "description": "text",
      "active": true
    },
    "deliveryDate": "2026-01-01",
    "deliveryDateEnd": "2026-01-01",
    "confirmedDeliveryDate": "2026-01-01",
    "confirmedDeliveryDateEnd": "2026-01-01",
    "shippingDate": "2026-01-01",
    "deliveryQuantityPackages": 1,
    "deliveryText": "text",
    "deliveryApproved": true,
    "dropShippingInvoiceApproved": true,
    "orderedOn": "2026-01-01",
    "orderedByPersonRef": {
      "id": "text",
      "label": "text",
      "description": "text",
      "active": true
    },
    "orderedBy": "text",
    "taxLiabilityReversed": false,
    "collectiveInvoice": false,
    "texts": [],
    "lines": [],
    "shippingCosts": [],
    "posPayments": [],
    "shippingCostSum": 1,
    "priceModifiers": [],
    "taxes": [],
    "defaultAddress": {
      "version": "text",
      "info": {
        "createdAt": "2026-01-01T00:00:00.000Z",
        "createdFrom": "text",
        "updatedAt": "2026-01-01T00:00:00.000Z",
        "updatedFrom": "text"
      },
      "id": "text",
      "accountRef": {
        "id": "text",
        "label": "text",
        "description": "text",
        "active": true
      },
      "salutation": "text",
      "title": "text",
      "name1": "text",
      "name2": "text",
      "name3": "text",
      "globalLocationNumber": "text",
      "street": "text",
      "streetAddressNumber": "text",
      "additionalAddressLine1": "text",
      "additionalAddressLine2": "text",
      "city": "text",
      "regionRef": {
        "id": "text",
        "label": "text",
        "description": "text",
        "active": true
      },
      "postcode": "text",
      "postOfficeBox": "text",
      "countryCode": "text",
      "phoneContact": "text",
      "mailContact": "text",
      "languageCode": "text",
      "paymentTermRef": {
        "id": "text",
        "label": "text",
        "description": "text",
        "active": true
      },
      "paymentMethodRef": {
        "id": "text",
        "label": "text",
        "description": "text",
        "active": true
      },
      "deliveryTermRef": {
        "id": "text",
        "label": "text",
        "description": "text",
        "active": true
      },
      "deliveryMethodRef": {
        "id": "text",
        "label": "text",
        "description": "text",
        "active": true
      }
    },
    "billingAddress": {
      "version": "text",
      "info": {
        "createdAt": "2026-01-01T00:00:00.000Z",
        "createdFrom": "text",
        "updatedAt": "2026-01-01T00:00:00.000Z",
        "updatedFrom": "text"
      },
      "id": "text",
      "accountRef": {
        "id": "text",
        "label": "text",
        "description": "text",
        "active": true
      },
      "salutation": "text",
      "title": "text",
      "name1": "text",
      "name2": "text",
      "name3": "text",
      "globalLocationNumber": "text",
      "street": "text",
      "streetAddressNumber": "text",
      "additionalAddressLine1": "text",
      "additionalAddressLine2": "text",
      "city": "text",
      "regionRef": {
        "id": "text",
        "label": "text",
        "description": "text",
        "active": true
      },
      "postcode": "text",
      "postOfficeBox": "text",
      "countryCode": "text",
      "phoneContact": "text",
      "mailContact": "text",
      "languageCode": "text",
      "paymentTermRef": {
        "id": "text",
        "label": "text",
        "description": "text",
        "active": true
      },
      "paymentMethodRef": {
        "id": "text",
        "label": "text",
        "description": "text",
        "active": true
      },
      "deliveryTermRef": {
        "id": "text",
        "label": "text",
        "description": "text",
        "active": true
      },
      "deliveryMethodRef": {
        "id": "text",
        "label": "text",
        "description": "text",
        "active": true
      }
    },
    "deliveryAddress": {
      "version": "text",
      "info": {
        "createdAt": "2026-01-01T00:00:00.000Z",
        "createdFrom": "text",
        "updatedAt": "2026-01-01T00:00:00.000Z",
        "updatedFrom": "text"
      },
      "id": "text",
      "accountRef": {
        "id": "text",
        "label": "text",
        "description": "text",
        "active": true
      },
      "salutation": "text",
      "title": "text",
      "name1": "text",
      "name2": "text",
      "name3": "text",
      "globalLocationNumber": "text",
      "street": "text",
      "streetAddressNumber": "text",
      "additionalAddressLine1": "text",
      "additionalAddressLine2": "text",
      "city": "text",
      "regionRef": {
        "id": "text",
        "label": "text",
        "description": "text",
        "active": true
      },
      "postcode": "text",
      "postOfficeBox": "text",
      "countryCode": "text",
      "phoneContact": "text",
      "mailContact": "text",
      "languageCode": "text",
      "paymentTermRef": {
        "id": "text",
        "label": "text",
        "description": "text",
        "active": true
      },
      "paymentMethodRef": {
        "id": "text",
        "label": "text",
        "description": "text",
        "active": true
      },
      "deliveryTermRef": {
        "id": "text",
        "label": "text",
        "description": "text",
        "active": true
      },
      "deliveryMethodRef": {
        "id": "text",
        "label": "text",
        "description": "text",
        "active": true
      }
    },
    "returnDeliveryAddress": {
      "version": "text",
      "info": {
        "createdAt": "2026-01-01T00:00:00.000Z",
        "createdFrom": "text",
        "updatedAt": "2026-01-01T00:00:00.000Z",
        "updatedFrom": "text"
      },
      "id": "text",
      "accountRef": {
        "id": "text",
        "label": "text",
        "description": "text",
        "active": true
      },
      "salutation": "text",
      "title": "text",
      "name1": "text",
      "name2": "text",
      "name3": "text",
      "globalLocationNumber": "text",
      "street": "text",
      "streetAddressNumber": "text",
      "additionalAddressLine1": "text",
      "additionalAddressLine2": "text",
      "city": "text",
      "regionRef": {
        "id": "text",
        "label": "text",
        "description": "text",
        "active": true
      },
      "postcode": "text",
      "postOfficeBox": "text",
      "countryCode": "text",
      "phoneContact": "text",
      "mailContact": "text",
      "languageCode": "text",
      "paymentTermRef": {
        "id": "text",
        "label": "text",
        "description": "text",
        "active": true
      },
      "paymentMethodRef": {
        "id": "text",
        "label": "text",
        "description": "text",
        "active": true
      },
      "deliveryTermRef": {
        "id": "text",
        "label": "text",
        "description": "text",
        "active": true
      },
      "deliveryMethodRef": {
        "id": "text",
        "label": "text",
        "description": "text",
        "active": true
      }
    },
    "custom": {
      "empty": true,
      "array": true,
      "null": true,
      "object": true,
      "float": true,
      "missingNode": true,
      "nodeType": "ARRAY",
      "valueNode": true,
      "container": true,
      "integralNumber": true,
      "floatingPointNumber": true,
      "string": true,
      "pojo": true,
      "short": true,
      "int": true,
      "long": true,
      "double": true,
      "bigDecimal": true,
      "bigInteger": true,
      "boolean": true,
      "binary": true,
      "number": true,
      "embeddedValue": true
    },
    "stackProcessingType": "NO_PICKING",
    "stackProcessingPriority": 1,
    "maxDeliveries": 1,
    "taxPerformanceLocation": "DOMESTIC",
    "performanceCountryCode": "text",
    "sourceCountryCode": "text",
    "afterPickingTargetDocumentTypeRef": {
      "id": "text",
      "label": "text",
      "description": "text",
      "active": true
    },
    "grossWeight": 1,
    "grossWeightUnit": {
      "id": 1,
      "name": "text",
      "abbreviation": "text"
    },
    "userDefinedWeight": false,
    "tags": [],
    "reportGroupRef": {
      "id": "text",
      "label": "text",
      "description": "text",
      "active": true
    },
    "defaultStorageRef": {
      "id": "text",
      "label": "text",
      "description": "text",
      "active": true
    },
    "locationRef": {
      "id": "text",
      "label": "text",
      "description": "text",
      "active": true
    },
    "cashDiscountableTotalGrossPrice": 1,
    "contractDetail": {
      "version": "text",
      "info": {
        "createdAt": "2026-01-01T00:00:00.000Z",
        "createdFrom": "text",
        "updatedAt": "2026-01-01T00:00:00.000Z",
        "updatedFrom": "text"
      },
      "id": "text",
      "startDate": "2026-01-01",
      "endDate": "2026-01-01",
      "runtimeFromDate": "2026-01-01",
      "runtimeToDate": "2026-01-01",
      "lastCustomerCancellationDate": "2026-01-01",
      "lastProviderCancellationDate": "2026-01-01",
      "dueDateCalculation": "text",
      "dueDate": "2026-01-01",
      "nextDueDate": "2026-01-01",
      "calculateDirectly": true,
      "active": true,
      "publishInPortal": false
    },
    "posDetail": {
      "version": "text",
      "info": {
        "createdAt": "2026-01-01T00:00:00.000Z",
        "createdFrom": "text",
        "updatedAt": "2026-01-01T00:00:00.000Z",
        "updatedFrom": "text"
      },
      "id": "text",
      "posRegisterRef": {
        "id": "text",
        "label": "text",
        "description": "text",
        "active": true
      },
      "cashDrawerRef": {
        "id": "text",
        "label": "text",
        "description": "text",
        "active": true
      },
      "cashJournalRef": {
        "id": "text",
        "label": "text",
        "description": "text",
        "active": true
      },
      "fiscalizationBackendRef": {
        "id": "text",
        "label": "text",
        "description": "text",
        "active": true
      },
      "tssSignature": {
        "status": "FINISHED",
        "responseData": "text",
        "externalReference": "text",
        "revision": 1
      },
      "externalReference": "text",
      "timeStart": 1,
      "timeEnd": 1,
      "clientSerialNumber": "text",
      "tssSerialNumber": "text",
      "transactionNumber": 1,
      "revision": 1,
      "signatureCounter": 1,
      "signature": "text"
    },
    "fabricationDetail": {
      "version": "text",
      "info": {
        "createdAt": "2026-01-01T00:00:00.000Z",
        "createdFrom": "text",
        "updatedAt": "2026-01-01T00:00:00.000Z",
        "updatedFrom": "text"
      },
      "id": "text",
      "startDate": "2026-01-01",
      "minimumDegreeOfFulfillment": 1,
      "note": "text",
      "componentsStorageRef": {
        "id": "text",
        "label": "text",
        "description": "text",
        "active": true
      },
      "workbenchStorageRef": {
        "id": "text",
        "label": "text",
        "description": "text",
        "active": true
      },
      "workbenchStorageBinRef": {
        "id": "text",
        "label": "text",
        "description": "text",
        "active": true
      },
      "qualityAssuranceStorageRef": {
        "id": "text",
        "label": "text",
        "description": "text",
        "active": true
      },
      "qualityAssuranceStorageBinRef": {
        "id": "text",
        "label": "text",
        "description": "text",
        "active": true
      },
      "defectiveStorageRef": {
        "id": "text",
        "label": "text",
        "description": "text",
        "active": true
      },
      "defectiveStorageBinRef": {
        "id": "text",
        "label": "text",
        "description": "text",
        "active": true
      },
      "targetStorageRef": {
        "id": "text",
        "label": "text",
        "description": "text",
        "active": true
      },
      "targetStorageBinRef": {
        "id": "text",
        "label": "text",
        "description": "text",
        "active": true
      },
      "custom": {
        "empty": true,
        "array": true,
        "null": true,
        "object": true,
        "float": true,
        "missingNode": true,
        "nodeType": "ARRAY",
        "valueNode": true,
        "container": true,
        "integralNumber": true,
        "floatingPointNumber": true,
        "string": true,
        "pojo": true,
        "short": true,
        "int": true,
        "long": true,
        "double": true,
        "bigDecimal": true,
        "bigInteger": true,
        "boolean": true,
        "binary": true,
        "number": true,
        "embeddedValue": true
      }
    },
    "buyerReference": "text",
    "en16931Profile": "ZUGFERD",
    "importType": "NOT_IMPORTED",
    "paymentPlan": false,
    "calculationMode": "HORIZONTAL",
    "processedByWorkflow": true,
    "referencedOrderNumber": "text",
    "additionalInfo": {
      "calculationModeOrigin": "FROM_BILLING_ADDRESS",
      "roundingMode": "NONE",
      "en16931Origin": "FROM_BILLING_ADDRESS",
      "buyerReferenceOrigin": "FROM_BILLING_ADDRESS",
      "previousDecisions": "text",
      "taxSituationOrigin": "UNDEFINED",
      "languageCodeOrigin": "FROM_DELIVERY_ADDRESS",
      "contextParameters": [],
      "incomingGoodsTarget": {
        "storageBinId": 1,
        "pickTrolleyId": 1
      },
      "translations": [],
      "incomingGoodsTargetsPerLine": []
    },
    "languageCode": "text",
    "baseCurrencyCode": "text",
    "baseTotalNetPrice": 1,
    "baseTotalLinePriceModifier": 1,
    "baseTotalDocumentPriceModifier": 1,
    "baseTotalGrossPrice": 1,
    "baseDepositPaymentAmount": 1,
    "baseCashDiscountableTotalGrossPrice": 1,
    "forwardEmailToShipper": false,
    "forwardPhoneToShipper": false,
    "posReceiptPaymentSum": 1,
    "posReceiptBalance": 1,
    "posReceiptChangeAmount": 1,
    "posReceiptBalanced": false,
    "posReceiptPayed": false,
    "dropShipping": true,
    "totalGrossVolumeInCubicMeters": 1
  },
  "hints": {
    "details": []
  },
  "viewOptions": {
    "revenueCalculation": {
      "productPurchasePrice": 1,
      "salesValue": 1,
      "revenue": 1,
      "revenueInPercent": 1
    },
    "loanValue": {
      "accountId": 1,
      "maximalLoan": 1,
      "currentLoan": 1,
      "nonInvoicedDocumentLoan": 1,
      "receivableLoan": 1,
      "payablesSum": 1,
      "currentDocumentLoan": 1,
      "remainingLoan": 1,
      "exceededLoan": 1,
      "unconsideredAmount": 1
    },
    "considerForCreditLimit": true,
    "financeJournalAccountingInformation": {
      "accountingStatus": "PROCESSING",
      "financeBookingRunRef": {
        "id": "text",
        "label": "text",
        "description": "text",
        "active": true
      },
      "accountingStatusUpdatedDate": "2026-01-01T00:00:00.000Z",
      "runState": "PROCESSING"
    },
    "possiblePredecessorTypes": [
      "text"
    ],
    "sumAmountOfProgressInvoices": 1,
    "sumAmountOfDepositInvoices": 1,
    "sumAmountOfPartialInvoices": 1,
    "sumAmountOfDeliveryInvoices": 1,
    "depositInvoiceRef": {
      "id": "text",
      "label": "text",
      "description": "text",
      "active": true
    },
    "sumOpenAmountForProgressInvoices": 1,
    "totalAmountDependingFromBillingType": 1,
    "orderRefs": [],
    "picklistRef": {
      "id": "text",
      "label": "text",
      "description": "text",
      "active": true
    },
    "autoPrintPaperReceipt": true
  }
}
put
Path parameters
idinteger · int64Required

ID des Belegs

protocolIdinteger · int64Required

ID des Eintrags im Belegprotokoll

Body

Request zur Anlage eines manuellen Eintrags ins Belegprotokoll

customMessagestring · min: 1Required

Text für das Belegprotokoll

Responses
200

OK

*/*

Belegprotokoll

versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

documentTypeIdinteger · int64Read-onlyOptional

Typ des Dokuments zu diesem Protokolleintrag

documentNumberstringRead-onlyOptional

Nummer des Dokuments zu diesem Protokolleintrag

typestring · enumRequired

Eintragsarten im DocumentProtocol

Possible values:
customMessagestringOptional

Text dieses Protokolleintrags

userNamestringRead-onlyOptional

Benutzer von dem der Eintrag angelegt wurde

timestampstring · date-timeOptional

Zeitstempel dieses Protokolleintrags

put/erp/documents/{id}/protocol/{protocolId}
PUT /erp/documents/{id}/protocol/{protocolId} HTTP/1.1
Host: api.example.com
Content-Type: application/json
Accept: */*
Content-Length: 24

{
  "customMessage": "text"
}
200

OK

{
  "version": "text",
  "info": {
    "createdAt": "2026-01-01T00:00:00.000Z",
    "createdFrom": "text",
    "updatedAt": "2026-01-01T00:00:00.000Z",
    "updatedFrom": "text"
  },
  "id": "text",
  "documentTypeId": 1,
  "documentTypeLabels": [],
  "documentNumber": "text",
  "type": "MANUAL",
  "customMessage": "text",
  "localizeableMessage": {
    "messageCode": "text",
    "messageParameters": {
      "ANY_ADDITIONAL_PROPERTY": {}
    },
    "formattedMessage": "text"
  },
  "userName": "text",
  "timestamp": "2026-01-01T00:00:00.000Z"
}
get
Path parameters
idinteger · int64Required

document identifier

Responses
200

OK

*/*
objectOptional
get/erp/documents/{id}/print
GET /erp/documents/{id}/print HTTP/1.1
Host: api.example.com
Accept: */*
200

OK

{}
put
Path parameters
idinteger · int64Required

document identifier

Body
exportFormatstring · enumOptional

output-format für mail/file-export

Possible values:
exportFilenamestringOptional

filename (ohne extension) bei einem file-export

outputTypestringOptional

outputType

groupIdentifierstringOptional

OutputReportGroup Identifier (optional), sonst Default-Group des Moduls

publishedbooleanOptional

sollen nur bereits veröffentlichte Dokumente beachtet werden?

Default: false
Responses
200

successful operation

objectOptional
put/erp/documents/{id}/print
PUT /erp/documents/{id}/print HTTP/1.1
Host: api.example.com
Content-Type: application/json
Accept: */*
Content-Length: 129

{
  "exportFormat": "PDF",
  "exportFilename": "text",
  "mailRecipients": [],
  "outputType": "text",
  "groupIdentifier": "text",
  "published": false
}
{}

Verlängert eine Sperre

put
Path parameters
idinteger · int64Required

ID der gesperrten Resource

lockTokeninteger · int64Required

Token der zu verlängernden Sperre

Query parameters
leasePeriodinteger · int64Required

Optionale Lease-Dauer in Sekunden

Responses
200

OK

*/*
keystring · min: 1Required
tokeninteger · int64Required
userIdinteger · int64Optional
lockedBySystembooleanOptional
validUntilstring · date-timeOptional
idstringRead-onlyOptional

Unique identifier of the Object

Example: 1
put/erp/documents/{id}/leasable-lock/{lockToken}
PUT /erp/documents/{id}/leasable-lock/{lockToken}?leasePeriod=1 HTTP/1.1
Host: api.example.com
Accept: */*
200

OK

{
  "key": "text",
  "token": 1,
  "userId": 1,
  "lockedBySystem": true,
  "validUntil": "2026-01-01T00:00:00.000Z",
  "id": "1"
}

Gibt ein Sperre frei

delete
Path parameters
idinteger · int64Required

ID der gesperrten Resource

lockTokeninteger · int64Required

Token der freizugebenden Sperre

Responses
200

OK

No content

delete/erp/documents/{id}/leasable-lock/{lockToken}
DELETE /erp/documents/{id}/leasable-lock/{lockToken} HTTP/1.1
Host: api.example.com
Accept: */*
200

OK

No content

Aktualisiert ein Paket zu einem Beleg

put
Path parameters
documentIdinteger · int64Required
parcelIdinteger · int64Required
Body

Pakete zu Belegen

versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

positioninteger · int32Optional

Position des Pakets

weightnumberOptional

Gewicht des Pakets

lengthnumberOptional

Länge

widthnumberOptional

Breite

heightnumberOptional

Höhe

trackingNumberstringRead-onlyOptional

Trackingnummer

Responses
200

OK

*/*

Pakete zu Belegen

versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

positioninteger · int32Optional

Position des Pakets

weightnumberOptional

Gewicht des Pakets

lengthnumberOptional

Länge

widthnumberOptional

Breite

heightnumberOptional

Höhe

trackingNumberstringRead-onlyOptional

Trackingnummer

put/erp/documents/{documentId}/parcel/{parcelId}
PUT /erp/documents/{documentId}/parcel/{parcelId} HTTP/1.1
Host: api.example.com
Content-Type: application/json
Accept: */*
Content-Length: 347

{
  "version": "text",
  "info": {},
  "id": "text",
  "documentRef": {
    "id": 1,
    "category": "CUSTOMER_OFFER",
    "documentType": "text",
    "documentState": "text",
    "number": "text"
  },
  "position": 1,
  "weight": 1,
  "weightUnitTypeRef": {
    "id": 1,
    "name": "text",
    "abbreviation": "text"
  },
  "length": 1,
  "width": 1,
  "height": 1,
  "sizeUnitTypeRef": {
    "id": 1,
    "name": "text",
    "abbreviation": "text"
  },
  "lines": []
}
200

OK

{
  "version": "text",
  "info": {
    "createdAt": "2026-01-01T00:00:00.000Z",
    "createdFrom": "text",
    "updatedAt": "2026-01-01T00:00:00.000Z",
    "updatedFrom": "text"
  },
  "id": "text",
  "documentRef": {
    "id": 1,
    "category": "CUSTOMER_OFFER",
    "documentType": "text",
    "documentState": "text",
    "number": "text"
  },
  "position": 1,
  "weight": 1,
  "weightUnitTypeRef": {
    "id": 1,
    "name": "text",
    "abbreviation": "text"
  },
  "length": 1,
  "width": 1,
  "height": 1,
  "sizeUnitTypeRef": {
    "id": 1,
    "name": "text",
    "abbreviation": "text"
  },
  "trackingNumber": "text",
  "lines": []
}

update an existing document with changed position

put
Path parameters
documentIdinteger · int64Required
lineIdinteger · int64Required
Body
Responses
200

OK

*/*
put/erp/documents/document/{documentId}/line/{lineId}
PUT /erp/documents/document/{documentId}/line/{lineId} HTTP/1.1
Host: api.example.com
Content-Type: application/json
Accept: */*
Content-Length: 5466

{
  "documentLine": {
    "version": "text",
    "info": {},
    "id": "text",
    "articleId": "text",
    "lineType": "ARTICLE_LINE",
    "productType": "WITH_STOCK",
    "number": "text",
    "name": "text",
    "description": "text",
    "unitType": {
      "id": 1,
      "name": "text",
      "abbreviation": "text"
    },
    "price": 1,
    "priceUnit": 1,
    "priceSelectionCriteria": {
      "qualifier": "SALES",
      "articleIds": [
        1
      ],
      "selectOnlyDefaultPrice": false,
      "accountIds": [
        1
      ],
      "productGroupId": 1,
      "priceGroupId": 1,
      "date": "2026-01-01",
      "quantity": 1,
      "noteSpecialOfferPrice": true
    },
    "quantity": 1,
    "taxSchemaRef": {
      "id": "text"
    },
    "taxes": [],
    "priceModifiers": [],
    "texts": [],
    "shippingCostDetail": {
      "manualCosts": false,
      "freeShipping": false,
      "purchasePrice": 1
    },
    "deliveryTermRef": {
      "id": "text"
    },
    "deliveryMethodRef": {
      "id": "text"
    },
    "country": {
      "id": 1,
      "isoAlpha2": "text",
      "isoAlpha3": "text"
    },
    "countryRegion": {
      "id": "text"
    },
    "customsTariffNumber": "text",
    "deliveryDate": "2026-01-01",
    "deliveryDateEnd": "2026-01-01",
    "confirmedDeliveryDate": "2026-01-01",
    "confirmedDeliveryDateEnd": "2026-01-01",
    "shippingDate": "2026-01-01",
    "deliveryText": "text",
    "packageOptions": "text",
    "externalReferenceVds": "text",
    "netWeight": 1,
    "totalNetWeight": 1,
    "netWeightUnit": {
      "id": 1,
      "name": "text",
      "abbreviation": "text"
    },
    "grossWeight": 1,
    "totalGrossWeight": 1,
    "grossWeightUnit": {
      "id": 1,
      "name": "text",
      "abbreviation": "text"
    },
    "capacity": 1,
    "capacityUnit": {
      "id": 1,
      "name": "text",
      "abbreviation": "text"
    },
    "baseCapacity": 1,
    "baseCapacityUnit": {
      "id": 1,
      "name": "text",
      "abbreviation": "text"
    },
    "sourceLineRef": {
      "id": 1,
      "documentId": 1,
      "category": "CUSTOMER_OFFER",
      "documentType": "text",
      "documentState": "text",
      "number": "text",
      "articleNumber": "text",
      "position": 1,
      "name": "text",
      "quantity": 1,
      "price": 1,
      "displayName": "text"
    },
    "baseLineId": 1,
    "mainArticleLineRef": {
      "id": "text"
    },
    "settledOpenItemRef": {
      "id": "text"
    },
    "settledOpenItemBalance": 1,
    "settledOpenItemPaymentDueDate": "2026-01-01",
    "settledOpenItemDiscountAmount": 1,
    "settledOpenItemComment": "text",
    "customerOrderLineRef": {
      "id": 1,
      "documentId": 1,
      "category": "CUSTOMER_OFFER",
      "documentType": "text",
      "documentState": "text",
      "number": "text",
      "articleNumber": "text",
      "position": 1,
      "name": "text",
      "quantity": 1,
      "price": 1,
      "displayName": "text"
    },
    "supplierOrderLineIds": [
      1
    ],
    "storage": {
      "id": "text"
    },
    "components": [],
    "fabricationComponents": [],
    "bookings": [],
    "commissions": [],
    "previousDecisions": {
      "empty": true,
      "array": true,
      "null": true,
      "object": true,
      "float": true,
      "missingNode": true,
      "nodeType": "ARRAY",
      "valueNode": true,
      "container": true,
      "integralNumber": true,
      "floatingPointNumber": true,
      "string": true,
      "pojo": true,
      "short": true,
      "int": true,
      "long": true,
      "double": true,
      "bigDecimal": true,
      "bigInteger": true,
      "boolean": true,
      "binary": true,
      "number": true,
      "embeddedValue": true
    },
    "calculationData": "text",
    "revenueCalculation": {},
    "commissionOrigin": "NOT_COMMISSIONABLE",
    "cashDiscountable": true,
    "discountable": true,
    "commissionable": false,
    "warrantyInMonths": 1,
    "contractDetail": {
      "version": "text",
      "info": {},
      "id": "text",
      "startDate": "2026-01-01",
      "endDate": "2026-01-01",
      "runtimeFromDate": "2026-01-01",
      "runtimeToDate": "2026-01-01",
      "lastCustomerCancellationDate": "2026-01-01",
      "lastProviderCancellationDate": "2026-01-01",
      "dueDateCalculation": "text",
      "dueDate": "2026-01-01",
      "nextDueDate": "2026-01-01",
      "calculateDirectly": true,
      "active": true,
      "publishInPortal": false
    },
    "posDetail": {
      "version": "text",
      "info": {},
      "id": "text",
      "posLineType": "CASH_PAYMENT",
      "depositExpenseTypeId": 1,
      "paymentMethodId": 1,
      "externalPaymentId": "text",
      "externalPaymentStatus": "PENDING",
      "externalPaymentErrorMessage": "text",
      "paymentOperation": "PAYMENT",
      "cancelledExternalPaymentId": "text"
    },
    "fabricationDetail": {
      "version": "text",
      "info": {},
      "id": "text",
      "serialNumbers": [],
      "quantityCommitted": 1,
      "quantityInQA": 1,
      "quantityDefective": 1,
      "quantityFinished": 1,
      "custom": {
        "empty": true,
        "array": true,
        "null": true,
        "object": true,
        "float": true,
        "missingNode": true,
        "nodeType": "ARRAY",
        "valueNode": true,
        "container": true,
        "integralNumber": true,
        "floatingPointNumber": true,
        "string": true,
        "pojo": true,
        "short": true,
        "int": true,
        "long": true,
        "double": true,
        "bigDecimal": true,
        "bigInteger": true,
        "boolean": true,
        "binary": true,
        "number": true,
        "embeddedValue": true
      }
    },
    "returnDetail": {
      "version": "text",
      "info": {},
      "id": "text",
      "returnCategory": "MONETARY_COMPENSATION_ITEM_STAYS_WITH_CUSTOMER",
      "goodsExchangeArticleRef": {
        "id": "text"
      },
      "waitForReturnBeforeExchange": true,
      "repairRequested": true,
      "warrantyExchange": true,
      "deliveryTermRef": {
        "id": "text"
      },
      "deliveryMethodRef": {
        "id": "text"
      },
      "replacementDeliveryTermRef": {
        "id": "text"
      },
      "replacementDeliveryMethodRef": {
        "id": "text"
      },
      "returnCauseRef": {
        "id": "text"
      },
      "customerShareOnSurcharge": 1,
      "customerShareOnReduction": 1
    },
    "financeBooking": {
      "version": "text",
      "info": {},
      "id": "text",
      "documentLineId": 1,
      "ledgerNumber": "text",
      "transactionKey": "text",
      "costCenter1": "text",
      "comment": "text",
      "description": "text"
    },
    "custom": {
      "empty": true,
      "array": true,
      "null": true,
      "object": true,
      "float": true,
      "missingNode": true,
      "nodeType": "ARRAY",
      "valueNode": true,
      "container": true,
      "integralNumber": true,
      "floatingPointNumber": true,
      "string": true,
      "pojo": true,
      "short": true,
      "int": true,
      "long": true,
      "double": true,
      "bigDecimal": true,
      "bigInteger": true,
      "boolean": true,
      "binary": true,
      "number": true,
      "embeddedValue": true
    },
    "performanceDate": "2026-01-01",
    "basePrice": 1,
    "baseTotalLinePriceModifier": 1,
    "baseTotalDocumentPriceModifier": 1,
    "baseTotalLinePrice": 1,
    "baseSalesValueNet": 1,
    "progressInvoice": false,
    "dropShippingPolicy": "ANY",
    "unitGrossVolumeInCubicMeters": 1,
    "convertedIntoBundleArticleRef": {
      "id": "text"
    },
    "insertTerm": "MANUAL",
    "hasAccessories": false,
    "recalcLinePriceViaComponents": false,
    "doPrintLabel": false,
    "storageInfo": "text"
  },
  "additionalParameters": []
}
200

OK

{
  "document": {
    "version": "text",
    "info": {
      "createdAt": "2026-01-01T00:00:00.000Z",
      "createdFrom": "text",
      "updatedAt": "2026-01-01T00:00:00.000Z",
      "updatedFrom": "text"
    },
    "id": "text",
    "number": "text",
    "accountNumber": "text",
    "customerNumber": "text",
    "ourCustomerNumber": "text",
    "supplierNumber": "text",
    "salesAgentNumber": "text",
    "externalIdentifier": "text",
    "externalNumber": "text",
    "published": false,
    "frozen": false,
    "qualifier": "SALE",
    "accountId": "text",
    "billingAccountRef": {
      "id": "text",
      "label": "text",
      "description": "text",
      "active": true
    },
    "salesChannelRef": {
      "id": "text",
      "label": "text",
      "description": "text",
      "active": true
    },
    "documentDate": "2026-01-01",
    "performanceDate": "2026-01-01",
    "valueDate": "2026-01-01",
    "taxable": true,
    "taxIdentificationNumber": "text",
    "taxIdVerificationState": "NOT_YET_VERIFIED",
    "valitoolValidationState": "NOT_VALIDATED",
    "billingType": "GROSS",
    "documentType": "text",
    "documentTypeId": 1,
    "documentTypeCategory": "CUSTOMER_OFFER",
    "documentState": {
      "label": "text",
      "key": "text",
      "definition": "SELECTABLE_TYPES"
    },
    "cancellationReasonRef": {
      "id": "text",
      "label": "text",
      "description": "text"
    },
    "currencyCode": "text",
    "exchangeRate": 1,
    "exchangeRateOrigin": "AUTOMATIC",
    "responsibleUserRef": {
      "id": "text",
      "label": "text",
      "description": "text",
      "active": true
    },
    "totalBeforeModifier": 1,
    "totalPriceModifier": 1,
    "totalLinePriceModifier": 1,
    "totalDocumentPriceModifier": 1,
    "totalNetPrice": 1,
    "totalVat": 1,
    "totalGrossPrice": 1,
    "roundingAmount": 1,
    "paymentTermRef": {
      "id": "text",
      "label": "text",
      "description": "text",
      "active": true,
      "paymentType": "PREPAYMENT"
    },
    "paymentMethodRef": {
      "id": "text",
      "label": "text",
      "description": "text",
      "active": true
    },
    "depositPaymentAmount": 1,
    "depositPaymentDate": "2026-01-01",
    "deliveryTermRef": {
      "id": "text",
      "label": "text",
      "description": "text",
      "active": true
    },
    "deliveryMethodRef": {
      "id": "text",
      "label": "text",
      "description": "text",
      "active": true
    },
    "deliveryDate": "2026-01-01",
    "deliveryDateEnd": "2026-01-01",
    "confirmedDeliveryDate": "2026-01-01",
    "confirmedDeliveryDateEnd": "2026-01-01",
    "shippingDate": "2026-01-01",
    "deliveryQuantityPackages": 1,
    "deliveryText": "text",
    "deliveryApproved": true,
    "dropShippingInvoiceApproved": true,
    "orderedOn": "2026-01-01",
    "orderedByPersonRef": {
      "id": "text",
      "label": "text",
      "description": "text",
      "active": true
    },
    "orderedBy": "text",
    "taxLiabilityReversed": false,
    "collectiveInvoice": false,
    "texts": [],
    "lines": [],
    "shippingCosts": [],
    "posPayments": [],
    "shippingCostSum": 1,
    "priceModifiers": [],
    "taxes": [],
    "defaultAddress": {
      "version": "text",
      "info": {
        "createdAt": "2026-01-01T00:00:00.000Z",
        "createdFrom": "text",
        "updatedAt": "2026-01-01T00:00:00.000Z",
        "updatedFrom": "text"
      },
      "id": "text",
      "accountRef": {
        "id": "text",
        "label": "text",
        "description": "text",
        "active": true
      },
      "salutation": "text",
      "title": "text",
      "name1": "text",
      "name2": "text",
      "name3": "text",
      "globalLocationNumber": "text",
      "street": "text",
      "streetAddressNumber": "text",
      "additionalAddressLine1": "text",
      "additionalAddressLine2": "text",
      "city": "text",
      "regionRef": {
        "id": "text",
        "label": "text",
        "description": "text",
        "active": true
      },
      "postcode": "text",
      "postOfficeBox": "text",
      "countryCode": "text",
      "phoneContact": "text",
      "mailContact": "text",
      "languageCode": "text",
      "paymentTermRef": {
        "id": "text",
        "label": "text",
        "description": "text",
        "active": true
      },
      "paymentMethodRef": {
        "id": "text",
        "label": "text",
        "description": "text",
        "active": true
      },
      "deliveryTermRef": {
        "id": "text",
        "label": "text",
        "description": "text",
        "active": true
      },
      "deliveryMethodRef": {
        "id": "text",
        "label": "text",
        "description": "text",
        "active": true
      }
    },
    "billingAddress": {
      "version": "text",
      "info": {
        "createdAt": "2026-01-01T00:00:00.000Z",
        "createdFrom": "text",
        "updatedAt": "2026-01-01T00:00:00.000Z",
        "updatedFrom": "text"
      },
      "id": "text",
      "accountRef": {
        "id": "text",
        "label": "text",
        "description": "text",
        "active": true
      },
      "salutation": "text",
      "title": "text",
      "name1": "text",
      "name2": "text",
      "name3": "text",
      "globalLocationNumber": "text",
      "street": "text",
      "streetAddressNumber": "text",
      "additionalAddressLine1": "text",
      "additionalAddressLine2": "text",
      "city": "text",
      "regionRef": {
        "id": "text",
        "label": "text",
        "description": "text",
        "active": true
      },
      "postcode": "text",
      "postOfficeBox": "text",
      "countryCode": "text",
      "phoneContact": "text",
      "mailContact": "text",
      "languageCode": "text",
      "paymentTermRef": {
        "id": "text",
        "label": "text",
        "description": "text",
        "active": true
      },
      "paymentMethodRef": {
        "id": "text",
        "label": "text",
        "description": "text",
        "active": true
      },
      "deliveryTermRef": {
        "id": "text",
        "label": "text",
        "description": "text",
        "active": true
      },
      "deliveryMethodRef": {
        "id": "text",
        "label": "text",
        "description": "text",
        "active": true
      }
    },
    "deliveryAddress": {
      "version": "text",
      "info": {
        "createdAt": "2026-01-01T00:00:00.000Z",
        "createdFrom": "text",
        "updatedAt": "2026-01-01T00:00:00.000Z",
        "updatedFrom": "text"
      },
      "id": "text",
      "accountRef": {
        "id": "text",
        "label": "text",
        "description": "text",
        "active": true
      },
      "salutation": "text",
      "title": "text",
      "name1": "text",
      "name2": "text",
      "name3": "text",
      "globalLocationNumber": "text",
      "street": "text",
      "streetAddressNumber": "text",
      "additionalAddressLine1": "text",
      "additionalAddressLine2": "text",
      "city": "text",
      "regionRef": {
        "id": "text",
        "label": "text",
        "description": "text",
        "active": true
      },
      "postcode": "text",
      "postOfficeBox": "text",
      "countryCode": "text",
      "phoneContact": "text",
      "mailContact": "text",
      "languageCode": "text",
      "paymentTermRef": {
        "id": "text",
        "label": "text",
        "description": "text",
        "active": true
      },
      "paymentMethodRef": {
        "id": "text",
        "label": "text",
        "description": "text",
        "active": true
      },
      "deliveryTermRef": {
        "id": "text",
        "label": "text",
        "description": "text",
        "active": true
      },
      "deliveryMethodRef": {
        "id": "text",
        "label": "text",
        "description": "text",
        "active": true
      }
    },
    "returnDeliveryAddress": {
      "version": "text",
      "info": {
        "createdAt": "2026-01-01T00:00:00.000Z",
        "createdFrom": "text",
        "updatedAt": "2026-01-01T00:00:00.000Z",
        "updatedFrom": "text"
      },
      "id": "text",
      "accountRef": {
        "id": "text",
        "label": "text",
        "description": "text",
        "active": true
      },
      "salutation": "text",
      "title": "text",
      "name1": "text",
      "name2": "text",
      "name3": "text",
      "globalLocationNumber": "text",
      "street": "text",
      "streetAddressNumber": "text",
      "additionalAddressLine1": "text",
      "additionalAddressLine2": "text",
      "city": "text",
      "regionRef": {
        "id": "text",
        "label": "text",
        "description": "text",
        "active": true
      },
      "postcode": "text",
      "postOfficeBox": "text",
      "countryCode": "text",
      "phoneContact": "text",
      "mailContact": "text",
      "languageCode": "text",
      "paymentTermRef": {
        "id": "text",
        "label": "text",
        "description": "text",
        "active": true
      },
      "paymentMethodRef": {
        "id": "text",
        "label": "text",
        "description": "text",
        "active": true
      },
      "deliveryTermRef": {
        "id": "text",
        "label": "text",
        "description": "text",
        "active": true
      },
      "deliveryMethodRef": {
        "id": "text",
        "label": "text",
        "description": "text",
        "active": true
      }
    },
    "custom": {
      "empty": true,
      "array": true,
      "null": true,
      "object": true,
      "float": true,
      "missingNode": true,
      "nodeType": "ARRAY",
      "valueNode": true,
      "container": true,
      "integralNumber": true,
      "floatingPointNumber": true,
      "string": true,
      "pojo": true,
      "short": true,
      "int": true,
      "long": true,
      "double": true,
      "bigDecimal": true,
      "bigInteger": true,
      "boolean": true,
      "binary": true,
      "number": true,
      "embeddedValue": true
    },
    "stackProcessingType": "NO_PICKING",
    "stackProcessingPriority": 1,
    "maxDeliveries": 1,
    "taxPerformanceLocation": "DOMESTIC",
    "performanceCountryCode": "text",
    "sourceCountryCode": "text",
    "afterPickingTargetDocumentTypeRef": {
      "id": "text",
      "label": "text",
      "description": "text",
      "active": true
    },
    "grossWeight": 1,
    "grossWeightUnit": {
      "id": 1,
      "name": "text",
      "abbreviation": "text"
    },
    "userDefinedWeight": false,
    "tags": [],
    "reportGroupRef": {
      "id": "text",
      "label": "text",
      "description": "text",
      "active": true
    },
    "defaultStorageRef": {
      "id": "text",
      "label": "text",
      "description": "text",
      "active": true
    },
    "locationRef": {
      "id": "text",
      "label": "text",
      "description": "text",
      "active": true
    },
    "cashDiscountableTotalGrossPrice": 1,
    "contractDetail": {
      "version": "text",
      "info": {
        "createdAt": "2026-01-01T00:00:00.000Z",
        "createdFrom": "text",
        "updatedAt": "2026-01-01T00:00:00.000Z",
        "updatedFrom": "text"
      },
      "id": "text",
      "startDate": "2026-01-01",
      "endDate": "2026-01-01",
      "runtimeFromDate": "2026-01-01",
      "runtimeToDate": "2026-01-01",
      "lastCustomerCancellationDate": "2026-01-01",
      "lastProviderCancellationDate": "2026-01-01",
      "dueDateCalculation": "text",
      "dueDate": "2026-01-01",
      "nextDueDate": "2026-01-01",
      "calculateDirectly": true,
      "active": true,
      "publishInPortal": false
    },
    "posDetail": {
      "version": "text",
      "info": {
        "createdAt": "2026-01-01T00:00:00.000Z",
        "createdFrom": "text",
        "updatedAt": "2026-01-01T00:00:00.000Z",
        "updatedFrom": "text"
      },
      "id": "text",
      "posRegisterRef": {
        "id": "text",
        "label": "text",
        "description": "text",
        "active": true
      },
      "cashDrawerRef": {
        "id": "text",
        "label": "text",
        "description": "text",
        "active": true
      },
      "cashJournalRef": {
        "id": "text",
        "label": "text",
        "description": "text",
        "active": true
      },
      "fiscalizationBackendRef": {
        "id": "text",
        "label": "text",
        "description": "text",
        "active": true
      },
      "tssSignature": {
        "status": "FINISHED",
        "responseData": "text",
        "externalReference": "text",
        "revision": 1
      },
      "externalReference": "text",
      "timeStart": 1,
      "timeEnd": 1,
      "clientSerialNumber": "text",
      "tssSerialNumber": "text",
      "transactionNumber": 1,
      "revision": 1,
      "signatureCounter": 1,
      "signature": "text"
    },
    "fabricationDetail": {
      "version": "text",
      "info": {
        "createdAt": "2026-01-01T00:00:00.000Z",
        "createdFrom": "text",
        "updatedAt": "2026-01-01T00:00:00.000Z",
        "updatedFrom": "text"
      },
      "id": "text",
      "startDate": "2026-01-01",
[...]
